Subject: bug#20134: Acknowledgement (24.4.90; Emacs slowdown to eventual hang)

From: [email-masked] (Phillip Lord)
Date: Wed, 08 Apr 2015 09:46:57 +0100

Eli Zaretskii <[email-masked]> writes:

>> From: [email-masked] (Phillip Lord)
>> Cc: <[email-masked]>
>> Date: Tue, 07 Apr 2015 17:51:11 +0100
>> 
>> Okay, I think this is likely to be correct, and also why the backtraces
>> are so useless. Emacs is making extensive use of CPU (running at 100%)
>> but only when I am typing. When I stop (which I obviously have to do to
>> check gdb, then the CPU drops again.
>> 
>> I've tried removing all post/pre command hooks with no success so far.
>
> Maybe there are other customizations with the same effect.  Perhaps
> look for other kinds of hooks (the full list is in the ELisp manual).

I'm working my way through this. Also trying to run in an emacs with
just auctex installed to see if the problem is there.

It really fumbling around in the dark, though. Is there no better way to
work out the problem?

Phil